<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceAddress commerceAddress = (CommerceAddress)request.getAttribute("address.jsp-commerceAddress");
%>

<h4><%= HtmlUtil.escape(commerceAddress.getName()) %></h4>
<p><%= HtmlUtil.escape(commerceAddress.getStreet1()) %></p>

<c:if test="<%= Validator.isNotNull(commerceAddress.getStreet2()) %>">
	<p><%= HtmlUtil.escape(commerceAddress.getStreet2()) %></p>
</c:if>

<c:if test="<%= Validator.isNotNull(commerceAddress.getStreet3()) %>">
	<p><%= HtmlUtil.escape(commerceAddress.getStreet3()) %></p>
</c:if>

<p><%= HtmlUtil.escape(commerceAddress.getCity()) %></p>

<%
Country country = commerceAddress.getCountry();
%>

<c:if test="<%= country != null %>">
	<p><%= HtmlUtil.escape(country.getTitle(locale)) %></p>
</c:if>