<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<div>
	<react:component
		module="js/components/ModalImportListTypeDefinition"
		props='<%=
			HashMapBuilder.<String, Object>put(
				"importListTypeDefinitionURL",
				PortletURLBuilder.createActionURL(
					renderResponse
				).setActionName(
					"/list_type_definitions/import_list_type_definition"
				).setRedirect(
					currentURL
				).buildString()
			).put(
				"nameMaxLength", ModelHintsConstants.TEXT_MAX_LENGTH
			).build()
		%>'
	/>
</div>

<aui:script>
	function <portlet:namespace />openImportListTypeDefinitionModal() {}

	Liferay.Util.setPortletConfigurationIconAction(
		'<portlet:namespace />importListTypeDefinition',
		() => {
			Liferay.componentReady(
				'<portlet:namespace />importListTypeDefinitionModal'
			).then((importListTypeDefinitionModal) => {
				importListTypeDefinitionModal.open();
			});
		}
	);
</aui:script>